Runtime

## org.eclipse.gmf.runtime.notation.impl
Class RoutingStyleImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.gmf.runtime.notation.impl.RoutingStyleImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, RoutingStyle, Style

    public class RoutingStyleImpl

extends org.eclipse.emf.ecore.impl.FlatEObjectImpl
implements RoutingStyle

An implementation of the model object 'Routing Style'.

The following features are implemented:

- `Routing`
- `Smoothness`
- `Avoid Obstructions`
- `Closest Distance`
- `Jump Link Status`
- `Jump Link Type`
- `Jump Links Reverse`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static boolean` `AVOID_OBSTRUCTIONS_EDEFAULT` The default value of the '`Avoid Obstructions`' attribute
`protected static int` `AVOID_OBSTRUCTIONS_EFLAG` The flag representing the value of the '`Avoid Obstructions`' attribute
`protected static boolean` `CLOSEST_DISTANCE_EDEFAULT` The default value of the '`Closest Distance`' attribute
`protected static int` `CLOSEST_DISTANCE_EFLAG` The flag representing the value of the '`Closest Distance`' attribute
`protected static JumpLinkStatus` `JUMP_LINK_STATUS_EDEFAULT` The default value of the '`Jump Link Status`' attribute
`protected static JumpLinkType` `JUMP_LINK_TYPE_EDEFAULT` The default value of the '`Jump Link Type`' attribute
`protected static boolean` `JUMP_LINKS_REVERSE_EDEFAULT` The default value of the '`Jump Links Reverse`' attribute
`protected static int` `JUMP_LINKS_REVERSE_EFLAG` The flag representing the value of the '`Jump Links Reverse`' attribute
`protected JumpLinkStatus` `jumpLinkStatus` The cached value of the '`Jump Link Status`' attribute
`protected JumpLinkType` `jumpLinkType` The cached value of the '`Jump Link Type`' attribute
`protected Routing` `routing` The cached value of the '`Routing`' attribute
`protected static Routing` `ROUTING_EDEFAULT` The default value of the '`Routing`' attribute
`protected Smoothness` `smoothness` The cached value of the '`Smoothness`' attribute
`protected static Smoothness` `SMOOTHNESS_EDEFAULT` The default value of the '`Smoothness`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `RoutingStyleImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`JumpLinkStatus` `getJumpLinkStatus()`
`JumpLinkType` `getJumpLinkType()`
`Routing` `getRouting()`
`Smoothness` `getSmoothness()`
`boolean` `isAvoidObstructions()`
`boolean` `isClosestDistance()`
`boolean` `isJumpLinksReverse()`
`void` `setAvoidObstructions(boolean newAvoidObstructions)`
`void` `setClosestDistance(boolean newClosestDistance)`
`void` `setJumpLinksReverse(boolean newJumpLinksReverse)`
`void` `setJumpLinkStatus(JumpLinkStatus newJumpLinkStatus)`
`void` `setJumpLinkType(JumpLinkType newJumpLinkType)`
`void` `setRouting(Routing newRouting)`
`void` `setSmoothness(Smoothness newSmoothness)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ROUTING_EDEFAULT

    protected static final Routing ROUTING_EDEFAULT

  The default value of the '`Routing`' attribute.

  See Also:
    `getRouting()`
  ** Generated **
  Ordered:

### routing

    protected Routing routing

  The cached value of the '`Routing`' attribute.

  See Also:
    `getRouting()`
  ** Generated **
  Ordered:

### SMOOTHNESS_EDEFAULT

    protected static final Smoothness SMOOTHNESS_EDEFAULT

  The default value of the '`Smoothness`' attribute.

  See Also:
    `getSmoothness()`
  ** Generated **
  Ordered:

### smoothness

    protected Smoothness smoothness

  The cached value of the '`Smoothness`' attribute.

  See Also:
    `getSmoothness()`
  ** Generated **
  Ordered:

### AVOID_OBSTRUCTIONS_EDEFAULT

    protected static final boolean AVOID_OBSTRUCTIONS_EDEFAULT

  The default value of the '`Avoid Obstructions`' attribute.

  See Also:
    `isAvoidObstructions()`, Constant Field Values
  ** Generated **
  Ordered:

### AVOID_OBSTRUCTIONS_EFLAG

    protected static final int AVOID_OBSTRUCTIONS_EFLAG

  The flag representing the value of the '`Avoid Obstructions`' attribute.

  See Also:
    `isAvoidObstructions()`, Constant Field Values
  ** Generated **
  Ordered:

### CLOSEST_DISTANCE_EDEFAULT

    protected static final boolean CLOSEST_DISTANCE_EDEFAULT

  The default value of the '`Closest Distance`' attribute.

  See Also:
    `isClosestDistance()`, Constant Field Values
  ** Generated **
  Ordered:

### CLOSEST_DISTANCE_EFLAG

    protected static final int CLOSEST_DISTANCE_EFLAG

  The flag representing the value of the '`Closest Distance`' attribute.

  See Also:
    `isClosestDistance()`, Constant Field Values
  ** Generated **
  Ordered:

### JUMP_LINK_STATUS_EDEFAULT

    protected static final JumpLinkStatus JUMP_LINK_STATUS_EDEFAULT

  The default value of the '`Jump Link Status`' attribute.

  See Also:
    `getJumpLinkStatus()`
  ** Generated **
  Ordered:

### jumpLinkStatus

    protected JumpLinkStatus jumpLinkStatus

  The cached value of the '`Jump Link Status`' attribute.

  See Also:
    `getJumpLinkStatus()`
  ** Generated **
  Ordered:

### JUMP_LINK_TYPE_EDEFAULT

    protected static final JumpLinkType JUMP_LINK_TYPE_EDEFAULT

  The default value of the '`Jump Link Type`' attribute.

  See Also:
    `getJumpLinkType()`
  ** Generated **
  Ordered:

### jumpLinkType

    protected JumpLinkType jumpLinkType

  The cached value of the '`Jump Link Type`' attribute.

  See Also:
    `getJumpLinkType()`
  ** Generated **
  Ordered:

### JUMP_LINKS_REVERSE_EDEFAULT

    protected static final boolean JUMP_LINKS_REVERSE_EDEFAULT

  The default value of the '`Jump Links Reverse`' attribute.

  See Also:
    `isJumpLinksReverse()`, Constant Field Values
  ** Generated **
  Ordered:

### JUMP_LINKS_REVERSE_EFLAG

    protected static final int JUMP_LINKS_REVERSE_EFLAG

  The flag representing the value of the '`Jump Links Reverse`' attribute.

  See Also:
    `isJumpLinksReverse()`, Constant Field Values
  ** Generated **
  Ordered:

Constructor Detail

### RoutingStyleImpl

    protected RoutingStyleImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getRouting

    public Routing getRouting()

  Specified by:
    `getRouting` in interface `RoutingStyle`
  Returns:
    the value of the 'Routing' attribute.
  See Also:
    `Routing`, `RoutingStyle.setRouting(Routing)`, `NotationPackage.getRoutingStyle_Routing()`
  ** Generated **

### setRouting

    public void setRouting(Routing newRouting)

  Specified by:
    `setRouting` in interface `RoutingStyle`
  Parameters:
    `newRouting` - the new value of the 'Routing' attribute.
  See Also:
    `Routing`, `RoutingStyle.getRouting()`
  ** Generated **

### getSmoothness

    public Smoothness getSmoothness()

  Specified by:
    `getSmoothness` in interface `RoutingStyle`
  Returns:
    the value of the 'Smoothness' attribute.
  See Also:
    `Smoothness`, `RoutingStyle.setSmoothness(Smoothness)`, `NotationPackage.getRoutingStyle_Smoothness()`
  ** Generated **

### setSmoothness

    public void setSmoothness(Smoothness newSmoothness)

  Specified by:
    `setSmoothness` in interface `RoutingStyle`
  Parameters:
    `newSmoothness` - the new value of the 'Smoothness' attribute.
  See Also:
    `Smoothness`, `RoutingStyle.getSmoothness()`
  ** Generated **

### isAvoidObstructions

    public boolean isAvoidObstructions()

  Specified by:
    `isAvoidObstructions` in interface `RoutingStyle`
  Returns:
    the value of the 'Avoid Obstructions' attribute.
  See Also:
    `RoutingStyle.setAvoidObstructions(boolean)`, `NotationPackage.getRoutingStyle_AvoidObstructions()`
  ** Generated **

### setAvoidObstructions

    public void setAvoidObstructions(boolean newAvoidObstructions)

  Specified by:
    `setAvoidObstructions` in interface `RoutingStyle`
  Parameters:
    `newAvoidObstructions` - the new value of the 'Avoid Obstructions' attribute.
  See Also:
    `RoutingStyle.isAvoidObstructions()`
  ** Generated **

### isClosestDistance

    public boolean isClosestDistance()

  Specified by:
    `isClosestDistance` in interface `RoutingStyle`
  Returns:
    the value of the 'Closest Distance' attribute.
  See Also:
    `RoutingStyle.setClosestDistance(boolean)`, `NotationPackage.getRoutingStyle_ClosestDistance()`
  ** Generated **

### setClosestDistance

    public void setClosestDistance(boolean newClosestDistance)

  Specified by:
    `setClosestDistance` in interface `RoutingStyle`
  Parameters:
    `newClosestDistance` - the new value of the 'Closest Distance' attribute.
  See Also:
    `RoutingStyle.isClosestDistance()`
  ** Generated **

### getJumpLinkStatus

    public JumpLinkStatus getJumpLinkStatus()

  Specified by:
    `getJumpLinkStatus` in interface `RoutingStyle`
  Returns:
    the value of the 'Jump Link Status' attribute.
  See Also:
    `JumpLinkStatus`, `RoutingStyle.setJumpLinkStatus(JumpLinkStatus)`, `NotationPackage.getRoutingStyle_JumpLinkStatus()`
  ** Generated **

### setJumpLinkStatus

    public void setJumpLinkStatus(JumpLinkStatus newJumpLinkStatus)

  Specified by:
    `setJumpLinkStatus` in interface `RoutingStyle`
  Parameters:
    `newJumpLinkStatus` - the new value of the 'Jump Link Status' attribute.
  See Also:
    `JumpLinkStatus`, `RoutingStyle.getJumpLinkStatus()`
  ** Generated **

### getJumpLinkType

    public JumpLinkType getJumpLinkType()

  Specified by:
    `getJumpLinkType` in interface `RoutingStyle`
  Returns:
    the value of the 'Jump Link Type' attribute.
  See Also:
    `JumpLinkType`, `RoutingStyle.setJumpLinkType(JumpLinkType)`, `NotationPackage.getRoutingStyle_JumpLinkType()`
  ** Generated **

### setJumpLinkType

    public void setJumpLinkType(JumpLinkType newJumpLinkType)

  Specified by:
    `setJumpLinkType` in interface `RoutingStyle`
  Parameters:
    `newJumpLinkType` - the new value of the 'Jump Link Type' attribute.
  See Also:
    `JumpLinkType`, `RoutingStyle.getJumpLinkType()`
  ** Generated **

### isJumpLinksReverse

    public boolean isJumpLinksReverse()

  Specified by:
    `isJumpLinksReverse` in interface `RoutingStyle`
  Returns:
    the value of the 'Jump Links Reverse' attribute.
  See Also:
    `RoutingStyle.setJumpLinksReverse(boolean)`, `NotationPackage.getRoutingStyle_JumpLinksReverse()`
  ** Generated **

### setJumpLinksReverse

    public void setJumpLinksReverse(boolean newJumpLinksReverse)

  Specified by:
    `setJumpLinksReverse` in interface `RoutingStyle`
  Parameters:
    `newJumpLinksReverse` - the new value of the 'Jump Links Reverse' attribute.
  See Also:
    `RoutingStyle.isJumpLinksReverse()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.